GET api/internalApp/GetStockItemInfo?itemId={itemId}&isStitch={isStitch}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| itemId | string |
Required |
|
| isStitch | boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
Collection of StitchProducts| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
None. |
|
| productId | string |
None. |
|
| sku | string |
None. |
|
| title | string |
None. |
|
| stockLevel | Collection of Object |
None. |
|
| productType | string |
None. |
|
| created | Object |
None. |
|
| modified | Object |
None. |
|
| composition | Collection of Object |
None. |
|
| status | string |
None. |
|
| configurationId | string |
None. |
|
| channelPrices | Collection of ChannelPrices |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "sample string 1",
"productId": "sample string 2",
"sku": "sample string 3",
"title": "sample string 4",
"stockLevel": [
{
"$id": "2"
},
{
"$id": "3"
}
],
"productType": "sample string 5",
"created": {
"$id": "4"
},
"modified": {
"$id": "5"
},
"composition": [
{
"$id": "6"
},
{
"$id": "7"
}
],
"status": "sample string 8",
"configurationId": "sample string 9",
"channelPrices": [
{
"$id": "8",
"channelType": "sample string 1",
"channelId": 2,
"price": 1.1,
"lastUpdate": "sample string 3",
"userId": "sample string 4"
},
{
"$ref": "8"
}
]
},
{
"$ref": "1"
}
]